Subject: Re: bootloader for deeply embedded 405CR

From: Bryan Rittmeyer <[email-masked]>
Date: Tue, 10 Apr 2001 13:44:26 -0700

Wolfgang Denk wrote:

> For the Walnut it should be a simple thing to do:
>
>         make WALNUT405_config
>         make

Hello Wolfgang,

I have built a CVS ppcboot as you suggest, however
it appears to expect being burned into flash
memory.

What I would like to do is GDB-load an ELF ppcboot
into the Walnut's 32MB SDRAM mapped at address 0,
then execute it in place. Then I want to GDB load a
kernel at another higher address, and use ppcboot
to boot it. Is this already possible or will I have
to modify Makefiles, linker scripts, and possibly
code?

Regards,

Bryan

--
Bryan Rittmeyer
mailto:[email-masked]
Ixia Communications
26601 W. Agoura Rd.
Calabasas, CA 91302

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/